<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class GuestNote extends Model
{
    use HasFactory;

    protected $fillable = [
        'guest_id',
        'note_text',
        'staff_id',
    ];

    public function guest()
    {
        return $this->belongsTo(Guest::class);
    }

    public function staff()
    {
        return $this->belongsTo(User::class, 'staff_id');
    }
}
